CreateAsyncJob
Initiates asynchronous execution of a job. Returns immediately with the job UUID and state=JOB_STATE_NEW; poll GetAsyncJob to track progress.
curl --request POST \
--url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/async-jobs \
--header 'Content-Type: application/json' \
--data '
{
"meta": {
"name": "<string>",
"annotations": {},
"description": "<string>",
"index_data": {},
"parent_kind": "<string>",
"parent_uuid": "<string>",
"tags": [
"<string>"
]
},
"spec": {
"request": {},
"type": "TYPE_UNSPECIFIED",
"response": {
"sbom": {
"file_path": "<string>",
"report_url": "<string>",
"sbom_size_bytes": "<string>"
},
"vex": {
"file_path": "<string>",
"report_url": "<string>",
"vex_size_bytes": "<string>"
}
},
"state": "JOB_STATE_UNSPECIFIED"
},
"tenant_meta": {}
}
'import requests
url = "https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/async-jobs"
payload = {
"meta": {
"name": "<string>",
"annotations": {},
"description": "<string>",
"index_data": {},
"parent_kind": "<string>",
"parent_uuid": "<string>",
"tags": ["<string>"]
},
"spec": {
"request": {},
"type": "TYPE_UNSPECIFIED",
"response": {
"sbom": {
"file_path": "<string>",
"report_url": "<string>",
"sbom_size_bytes": "<string>"
},
"vex": {
"file_path": "<string>",
"report_url": "<string>",
"vex_size_bytes": "<string>"
}
},
"state": "JOB_STATE_UNSPECIFIED"
},
"tenant_meta": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
meta: {
name: '<string>',
annotations: {},
description: '<string>',
index_data: {},
parent_kind: '<string>',
parent_uuid: '<string>',
tags: ['<string>']
},
spec: {
request: {},
type: 'TYPE_UNSPECIFIED',
response: {
sbom: {file_path: '<string>', report_url: '<string>', sbom_size_bytes: '<string>'},
vex: {file_path: '<string>', report_url: '<string>', vex_size_bytes: '<string>'}
},
state: 'JOB_STATE_UNSPECIFIED'
},
tenant_meta: {}
})
};
fetch('https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/async-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"spec": {
"request": {
"sbom": {
"component_type": "COMPONENT_TYPE_UNSPECIFIED",
"cyclonedx_spec_version": "CYCLONE_DX_SPEC_VERSION_UNSPECIFIED",
"export_parameters": {
"package_version_uuids": [
{}
],
"project_name": "<string>",
"project_uuid": "<string>",
"repository_version": "<string>"
},
"format": "FORMAT_UNSPECIFIED",
"hide_private_components": true,
"include_test_dependencies": true,
"include_vulnerabilities": true,
"kind": "SBOM_KIND_UNSPECIFIED",
"package_version_uuid": "<string>",
"spdx_spec_version": "SPDX_SPEC_VERSION_UNSPECIFIED"
},
"vex": {
"component_type": "COMPONENT_TYPE_UNSPECIFIED",
"cyclonedx_spec_version": "CYCLONE_DX_SPEC_VERSION_UNSPECIFIED",
"export_parameters": {
"package_version_uuids": [
{}
],
"project_name": "<string>",
"project_uuid": "<string>",
"repository_version": "<string>"
},
"format": "FORMAT_UNSPECIFIED",
"include_test_dependencies": true,
"kind": "SBOM_KIND_UNSPECIFIED",
"package_version_uuid": "<string>"
}
},
"type": "TYPE_UNSPECIFIED",
"response": {
"error_message": "<string>",
"sbom": {
"file_path": "<string>",
"report_url": "<string>",
"sbom_size_bytes": "<string>"
},
"vex": {
"file_path": "<string>",
"report_url": "<string>",
"vex_size_bytes": "<string>"
}
},
"state": "JOB_STATE_UNSPECIFIED"
},
"tenant_meta": {
"namespace": "<string>"
},
"uuid": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".
Body
AsyncJob is an asynchronous job — SBOM export or VEX export types today, with more types added as they ship.
Response
A successful response.
AsyncJob is an asynchronous job — SBOM export or VEX export types today, with more types added as they ship.
Common fields for all Endor Labs resources.
Show child attributes
Show child attributes
AsyncJob inputs and outputs.
Show child attributes
Show child attributes
Tenant related data for the tenant containing the resource.
Show child attributes
Show child attributes
UUID of the AsyncJob. Assigned by the server on Create; use it to fetch the job via GetAsyncJob.
Was this page helpful?
